from events.types.payload import Payload


class ProfileUpdated(Payload):
    def __init__(self, user_id: str):
        super().__init__({
            'user_id': user_id,
        })

    @property
    def user_id(self) -> str:
        return self.get("user_id")